[Tarantool-patches] [PATCH v1] Enable script for saving RPM packages in S3 for modules
Alexander V. Tikhonov
avtikhon at tarantool.org
Wed May 6 13:23:08 MSK 2020
From: "Alexander.V Tikhonov" <avtikhon at tarantool.org>
Found that modules may have only sources packages w/o binaries
packages. Script updated to be able to work with only binaries
either sources RPM packages. The same fix was already done for
DEB packages at commit 4527a4da9640a63601d0a1d0b2bee7f8cb4c0c85.
Part of #4839
---
Github: https://github.com/tarantool/tarantool/tree/avtikhon/gh-4839-s3-script-full-ci
Issue: https://github.com/tarantool/tarantool/issues/4839
tools/update_repo.sh | 17 ++++++++++-------
1 file changed, 10 insertions(+), 7 deletions(-)
diff --git a/tools/update_repo.sh b/tools/update_repo.sh
index 239f74a73..47eadd189 100755
--- a/tools/update_repo.sh
+++ b/tools/update_repo.sh
@@ -617,11 +617,8 @@ function pack_rpm {
pack_patterns=$2
pack_rpms=$(cd $repo && ls $pack_patterns 2>/dev/null || true)
- if [ -z "$pack_rpms" ]; then
- echo "ERROR: Current '$repo' path doesn't have '$pack_patterns' packages in path"
- usage
- exit 1
- fi
+ [ -n "$pack_rpms" ] || return 0
+ packed_rpms=pack_rpms
# copy the needed package binaries to the workspace
( cd $repo && cp $pack_rpms $ws/. )
@@ -952,7 +949,7 @@ elif [ "$os" == "el" -o "$os" == "fedora" ]; then
fi
# unlock the publishing
$rm_file $ws_lockfile
- popd
+ popd 2>/dev/null || true
# prepare the workspace
prepare_ws ${os}_${option_dist}
@@ -963,7 +960,13 @@ elif [ "$os" == "el" -o "$os" == "fedora" ]; then
fi
# unlock the publishing
$rm_file $ws_lockfile
- popd
+ popd 2>/dev/null || true
+
+ if [ -z "$packed_rpms" ]; then
+ echo "ERROR: Current '$repo' path doesn't have '*.x86_64.rpm *.noarch.rpm *.src.rpm' packages in path"
+ usage
+ exit 1
+ fi
else
echo "USAGE: given OS '$os' is not supported, use any single from the list: $alloss"
usage
--
2.17.1
More information about the Tarantool-patches
mailing list